<?php
class PayDocumentAction extends wtActions
{
    public function execute()
    {
        $this->i_Id = $this->getRequestParameter( 'i_Id' );
        
        $ControlSubmit = $this->getRequestParameter( 'ControlSubmit' );
        if( $ControlSubmit )
        {
            $s_AnulacionComentario = $this->getRequestParameter( 'AnulacionComentario' );
            try 
            {
                $a_Ids = explode( "_", $this->i_Id );
                $s_IdTipoDocumento = $a_Ids[0];
                $i_IdCompania      = ( int ) $a_Ids[1];
                $s_NumeroDocumento = $a_Ids[2];
                
                $o_VTA_DocumentoFN = new VTA_DocumentoFN();
                $o_VTA_DocumentoBN = $o_VTA_DocumentoFN->selectByPK( $s_IdTipoDocumento, $i_IdCompania, $s_NumeroDocumento );
                
                $IdAlmacen = $o_VTA_DocumentoBN->getIdAlmacen();
                
                $o_VTA_DocumentoDP = new VTA_DocumentoDP();
                $o_VTA_DocumentoDP->setIdTipoDocumento( $s_IdTipoDocumento );
                $o_VTA_DocumentoDP->setIdCompania( $i_IdCompania );
                $o_VTA_DocumentoDP->setNumeroDocumento( $s_NumeroDocumento );
                $o_VTA_DocumentoDP->setIdAlmacen( $IdAlmacen );
                $o_VTA_DocumentoDP->setAnulacionComentario( $s_AnulacionComentario );
                $o_VTA_DocumentoDP->setMontoAdelantoSaldo( 0.00 );
                $o_VTA_DocumentoDP->setUsuarioModificacion( myUser::getUser()->getUserId() );
                $o_VTA_DocumentoDP->setFechaModificacion( date( "Y-m-d H:i:s" ) );
                $b_Result = $o_VTA_DocumentoDP->update();
    
                $a_Rs['result']   = $b_Result;
                $a_Rs['error']   = false;
                $a_Rs['id']      = $this->i_Id;
            }
            catch ( Exception $o_Exception )
            {
                $a_Rs['error']   = true;
                $a_Rs['mensaje_error'] = $o_Exception->getMessage();
            }
            
            echo json_encode( $a_Rs );
        
            exit;
        }
    }
}